<bugID>600505<Summary>App update preference ui favors disabling app update</Summary><Description>The preference ui displays

Automatically check for updates to:
[X] Firefox
[X] Add-ons
[X] Search Engines

When updates to Firefox are found:
O Ask me what I want to do
0 Automatically download and install update
  [X] Warn me if this update will disable any of my add-ons


If someone doesn't want updates to be automatically downloaded they might just read the first couple of items on the page and not notice there are other options since they are several lines further down in the ui and instead choose to disable update checks completely.

I don't necessarily like the ui Windows has for these settings but I do think the order of choices is better than what we have.

Firefox has:
1. enable (with individual settings further down the page) or disable entirely
2. N/A for app update
3. N/A for app update
4. individual settings mentioned previously

Windows has:
1. Install updates automatically (recommended)
2. Download update but let me choose whether to install them
3. Check for updates but let me choose whether to download and install them
4. Never check for updates (not recommended)</Description></bugID>